Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.text
Class TextExtractorConfig

    java.lang.Object
      org.modeshape.common.component.ComponentConfig
          org.modeshape.graph.text.TextExtractorConfig

All Implemented Interfaces:
  Comparable<ComponentConfig>

    @Immutable
    public class TextExtractorConfig

extends ComponentConfig

A configuration for a `TextExtractor` component.

Constructor Summary
`TextExtractorConfig(String name, String description, Class<? extends TextExtractor> clazz)`
`TextExtractorConfig(String name, String description, Map<String,Object> properties, Class<? extends TextExtractor> clazz)`
`TextExtractorConfig(String name, String description, Map<String,Object> properties, String classname, String[] classpath)`

Method Summary

Methods inherited from class org.modeshape.common.component.ComponentConfig
`compareTo, equals, getComponentClassname, getComponentClasspath, getComponentClasspathArray, getDescription, getName, getProperties, getTimestamp, hasChanged, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextExtractorConfig

    public TextExtractorConfig(String name,
                               String description,
                               Map<String,Object> properties,
                               String classname,
                               String[] classpath)

### TextExtractorConfig

    public TextExtractorConfig(String name,
                               String description,
                               Map<String,Object> properties,
                               Class<? extends TextExtractor> clazz)

### TextExtractorConfig

    public TextExtractorConfig(String name,
                               String description,
                               Class<? extends TextExtractor> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.